;; 
;; %%HEADER%%
;; 

(define (run-generation cli-arguments)
  (when (null? cli-arguments)
    (exit-with-message (usage) 1))
  (let ((program-options
         (list
          (args:make-option (h help) #:none "Show this help"))))
    (receive (options operands) (args:parse cli-arguments program-options)
      (cond
       ((assoc 'help options)
        (exit-with-message
         (with-output-to-string
           (lambda ()
             (print "Usage: nomads generate migration-name ...")
             (newline)
             (print (args:usage program-options))))))
       (else 
        (for-each (lambda (name)
                    (let ((fullname (nomads:generate-migration name)))
                      (ui 'info " ~A generated" fullname)))
                  (delete-duplicates cli-arguments)))))))


(register-dispatch-target! 'generate run-generation "Generate a new migration file")
